The first path that matches is the final authentication result. Any security module may throw exceptions that bypass this behavior, for example BadRequestException, RedirectException or UnauthorizedException.
GET | POST | PUT | DELETE /**
| Name | Type | Is Required | Default Value |
|---|---|---|---|
| apiKey | Parameter | No | |
| X-API-Key | Header | No |
Given
When
Then
GET /oauth/${providerName}| Name | Type | Is Required | Default Value |
|---|---|---|---|
| state | Parameter | Yes | |
| code | Parameter | Yes |
auth token using the specified code and then redirect the user to the redirectUrl specified in the state parameter. The obtained token is registered with the web token service.state or code are invalid it will throw a BadRequestException.GET | POST | PUT | DELETE /**
| Name | Type | Is Required | Default Value |
|---|---|---|---|
| auth.strategy | Cookie | Yes | |
| auth._refresh_token.${providerName} | Cookie | Yes |
Given
When
Then
GET | POST | PUT | DELETE /**
| Name | Type | Is Required | Default Value |
|---|---|---|---|
| one.erp.rest.auth.token | Cookie | Yes | |
| one.erp.rest.locale | Cookie | No | RO |
Given
When
Then